Subject: bug#20183: 24.4.91; No resize handle to adjust width of Emacs windows

From: Drew Adams <[email-masked]>
Date: Mon, 23 Mar 2015 12:48:37 -0700 (PDT)

Actually, there is. But it is carefully hidden. ;-)

In the mode line there is a tiny vertical line separating the mode lines of the two side-by-side windows. That's the handle - you can drag it left & right.

If you want a more visible and substantial divider then you can customize
`default-frame-alist' to have it include an entry such as this:

(right-divider-width . 3)

IOW, you can set frame parameter `right-divider-width' to make the divider
appear (!) and offer an affordance (handle) that you can drag.

For the window bottom, you can drag the mode line.  And for this there
is also frame parameter `bottom-divider-width'.

FWIW, Emacs used to have a more visible handle for dragging left-right.
But its GUI was improved (long ago, now), and it was removed in the
process.

FWIW2, I think the default values of `right-divider-width' and
`bottom-divider-width' should be non-zero - to make these dividers
visible & usable.  The default values of zero make dragging left-right
non-obvious.  At least you can drag the mode line (i.e., even with a
zero value for `bottom-divider-width').

Another problem is discovery of these frame parameters (there are no
user options for these things, other than the `*-frame-alist' options).

And even if they were made aware of these frame parameters, my guess
is that many users would not know how to customize Emacs to set them.

HTH.

> There are resize handles to adjust the height and width of an Emacs
> frame; and there is a resize handle to adjust the height of an Emacs
> window (when there is more than one window tiled vertically
> (above/below) on a frame); but there is _no_ resize handle to adjust the
> width of an Emacs window (when there is more than one window tiled
> horizontally (side-by-side) on a frame.
> 
> This can be observed from emacs -Q.
> 
> I'm not sure if this is a bug or a missing feature.